Subject: [bug#33519] [PATCH 0/4] Reporting grafts in the user interface

From: [email-masked] (Ludovic Courtès)
Date: Tue, 27 Nov 2018 09:27:34 +0100

Clément Lassieur <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hello Guix!
>>
>> These patches add UI hints so that grafting derivations can be
>> distinguished from more expensive derivations, as suggested by
>> Ricardo a while back.
>
> [...]
>
>> Overall this makes operations more transparent.  Advanced users
>> will know what this means, and hopefully others will notice that
>> grafting is a relatively fast operation and discover that it has to
>> do with security updates.
>>
>> Thoughts?
>
> This is awesome!

Glad you like it.  :-)

> And I imagine it will allow to distinguish packages and tests in
> Cuirass :-)

It’s tempting to use properties for all sorts of things (like we could
distinguish profile hooks, too), so yes, we could do more of that, but I
feel we should not go too far either.  :-)

Thanks,
Ludo’.